#ifndef PAGE_MAIN_H
#define PAGE_MAIN_H

#include <QMainWindow>
#include <QCloseEvent>

#include "src/message/message_dialog.h"
#include "src/model_select/model_select.h"
#include "src/base/base.h"
#include "src/chart/chart_file.h"

namespace Ui {
class page_main;
}

class page_main : public BaseWindow
{
    Q_OBJECT

public:
    explicit page_main(QWidget *parent = nullptr);
    ~page_main();
// protected:

//     virtual void closeEvent(QCloseEvent* e) override;

private slots:
    void on_btn_model_select_clicked();
    void on_btn_chart_file_clicked();

    void on_logout_button_clicked();

private:

    Ui::page_main *ui;
    model_select *page_model_select_=nullptr;
    chart_file *page_chart_file_=nullptr;
    void fun_stacked_page_init();
    void btn_select_(int index);
    int select_form_;
    int page_chart_flag_=0;

};

#endif // PAGE_MAIN_H
